Show / Hide Table of Contents

# Class VoiceChannelProperties

Provides properties that are used to modify an IVoiceChannel with the specified changes.

##### Inheritance

System.Object
GuildChannelProperties
VoiceChannelProperties

##### Inherited Members

GuildChannelProperties.Name
GuildChannelProperties.Position
GuildChannelProperties.CategoryId
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class VoiceChannelProperties : GuildChannelProperties

### Properties

| Improve this Doc View Source

#### Bitrate

Gets or sets the bitrate of the voice connections in this channel. Must be greater than 8000.

##### Declaration

    public Optional<int> Bitrate { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Int32> |

| Improve this Doc View Source

#### UserLimit

Gets or sets the maximum number of users that can be present in a channel, or `null` if none.

##### Declaration

    public Optional<int?> UserLimit { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Nullable<System.Int32>> |